* {
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
}

body {
  overflow-x: hidden;
  font-family: "Crimson Text", serif;
  text-overflow: ellipsis;
  word-wrap: break-word;
  word-break: keep-all;
}

p {
  font-size: 22.5px;
  color: rgb(5, 5, 65);
}

h2 {
  font-family: "Montserrat", sans-serif;
  font-weight: 400;
  font-size: 28px;
  color: rgb(5, 5, 65);
}

h1 {
  font-family: "Montserrat", sans-serif;
  font-weight: 400;
  font-size: 28px;
}

ul {
  list-style-type: none;
}

nav {
  font-family: "Montserrat", sans-serif;
}

#info-header {
  background-color: white;
  position: fixed;
  width: 100%;
  height: 25px;
}

#sent1 {
  display: block;
  text-align: center;
  color: rgb(24, 24, 68);
  font-size: 12.5px;
  font-family: "Montserrat", sans-serif;
  padding-top: 12px;
  font-weight: 500;
}

#navbar-links {
  position: relative;
  top: 16px;
  background-color: transparent;
  font-family: "Montserrat", sans-serif;
}

#img-text1 {
  position: relative;
  color: white;
  font-size: 50px;
  top: -330px;
  left: 100px;
}

#img-text2 {
  position: relative;
  color: white;
  font-family: "Montserrat", sans-serif;
  font-weight: 400;
  font-size: 55px;
  top: -310px;
  left: 100px;
}

#img-text3 {
  position: relative;
  font-size: 30px;
  color: white;
  font-family: "Montserrat", sans-serif;
  font-weight: 400;
  font-size: 60px;
  top: -200px;
  left: 100px;
}

#diamond-image {
  width: 400px;
  height: 500px;
  margin-top: -600px;
  margin-left: 300px;
}

#read-about-us-btn {
  background-color: transparent;
  border: 1px solid black;
  text-decoration: none;
  color: black;
  margin-left: 30px;
  font-size: 20px;
}

#read-about-us-btn:hover {
  -webkit-box-shadow: 0 6px 6px 0 rgb(145, 173, 255);
          box-shadow: 0 6px 6px 0 rgb(145, 173, 255);
}

#sent1 {
  text-align: center;
  margin-top: -50px;
  padding-bottom: 40px;
}

.swiper {
  width: 100%;
  height: 240px;
  position: relative;
}

.swiper-slide {
  text-align: center;
  font-size: 18px;
  background: #fff;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}

.swiper-slide img {
  display: block;
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}

.overlay {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: white;
  overflow: hidden;
  width: 0;
  height: 100%;
  -webkit-transition: 0.5s ease;
  transition: 0.5s ease;
}

.swiper-slide:hover .overlay {
  width: 100%;
}

.product-description h3 {
  color: black;
  font-size: 16px;
  position: absolute;
  top: 20%;
  left: 50%;
  transform: translate(-50%, -50%);
  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  white-space: nowrap;
}

.product-description h4 {
  color: black;
  font-size: 16px;
  position: absolute;
  top: 35%;
  left: 50%;
  transform: translate(-50%, -50%);
  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  white-space: nowrap;
}

.product-description a {
  background-color: black;
  color: white;
  padding: 10px 22px;
  font-size: 16px;
  position: absolute;
  top: 65%;
  left: 50%;
  transform: translate(-50%, -50%);
  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  white-space: nowrap;
}

.product-description a:hover {
  color: goldenrod;
}

#ring-intro {
  padding: 10px 20px 50px 60px;
  max-width: 530px;
  max-height: 500px;
  margin-left: 100px;
  font-weight: 400;
  font-size: 23px;
}

#ring-intro-img {
  width: 400px;
  height: 500px;
  margin-top: -460px;
  margin-left: 850px;
}

#about-us-text {
  background-color: rgb(237, 246, 255);
  max-width: 530px;
  max-height: 600px;
  margin-left: 700px;
  padding-right: 10px;
}

footer {
  padding: 70px 60px 70px 100px;
  background-color: black;
}

footer h3 {
  font-size: 20px;
  font-family: "Montserrat", sans-serif;
  color: goldenrod;
  text-decoration: underline;
}

footer a {
  font-size: 19px;
  font-weight: 500;
  color: white;
}

footer a:hover {
  color: white;
  text-decoration: underline;
}

footer p {
  font-size: 18px;
  font-weight: 500;
  color: white;
}

#footer-btn {
  border: 1px solid goldenrod;
  background-color: transparent;
  padding: 15px 43px;
  border-radius: 1px;
  margin-top: 50px;
  color: white;
  font-family: "Montserrat", sans-serif;
}

#footer-btn:hover {
  -webkit-box-shadow: 2px 2px 2px 0 goldenrod;
          box-shadow: 2px 2px 2px 0 goldenrod;
}

#footer-id {
  font-size: 10px;
  color: white;
  padding-top: 20px;
  margin-bottom: 0px;
  white-space: nowrap;
}

.follow-us-section {
  padding-top: 120px;
  padding-bottom: 27px;
  text-align: center;
}

.follow-us-section h3 {
  padding-bottom: 20px;
  font-size: 20px;
  color: rgb(167, 127, 28);
}

.follow-us-section a {
  font-size: 20px;
  margin-right: 55px;
}

.follow-us-section a:hover {
  color: goldenrod;
}

#info-section {
  padding: 5px 140px 0px 130px;
  background-color: rgb(24, 24, 24);
  color: white;
  font-family: "Montserrat", sans-serif;
}

#services-dropdown {
  color: white;
}

#arrow-up {
  font-size: 30px;
  cursor: pointer;
  position: relative;
  float: right;
  margin-right: -80px;
  color: white;
}

#arrow-up:hover {
  color: goldenrod;
}

#services-img {
  width: 400px;
  height: 450px;
}

#services-img:hover {
  opacity: 0.5;
}

#services-link {
  text-decoration: none;
}

#services-link:hover {
  text-decoration: underline;
}

input {
  color: white;
  background-color: transparent;
  border-bottom: 1px solid goldenrod;
  border-top: none;
  border-left: none;
  border-right: none;
}

@media screen and (max-width: 600px) {
  #img-text1, #img-text2 {
    position: relative;
    left: 30px;
    top: -120px;
    font-size: 21px;
  }
  #img-text3 {
    position: relative;
    left: 30px;
    top: -100px;
    font-size: 21px;
  }
  #ring-intro {
    margin-left: -40px;
    display: block;
    max-width: 450px;
    max-height: 500px;
  }
  #about-us-text {
    max-width: 370px;
    max-height: 610px;
    margin-left: -20px;
  }
  #diamond-image {
    margin-top: 30px;
    margin-left: 10px;
    width: 330px;
    height: 450px;
  }
  #ring-intro-img {
    width: 330px;
    height: 450px;
    margin-left: 30px;
    margin-top: -10px;
  }
  #services-img {
    width: 330px;
    height: 450px;
    padding-bottom: 10px;
    padding-top: 10px;
  }
  #arrow-up {
    position: relative;
    top: -90px;
    margin-right: -100px;
  }
  #footer-btn {
    margin-bottom: 30px;
    margin-top: 20px;
  }
}
@media only screen and (min-width: 600px) {
  #img-text1, #img-text2 {
    position: relative;
    left: 30px;
    top: -160px;
    font-size: 30px;
  }
  #img-text3 {
    position: relative;
    left: 30px;
    top: -140px;
    font-size: 35px;
  }
  #about-us-text {
    max-width: 420px;
    max-height: 590px;
    margin-left: 40px;
  }
  #diamond-image {
    margin-top: 30px;
    margin-left: 120px;
    width: 370px;
    height: 470px;
  }
  #ring-intro {
    margin-left: -20px;
    display: block;
    max-width: 450px;
    max-height: 500px;
  }
  #ring-intro-img {
    width: 370px;
    height: 470px;
    margin-left: 70px;
    margin-top: -10px;
  }
  #services-img {
    width: 350px;
    height: 450px;
  }
}
@media only screen and (min-width: 700px) {
  #services-img {
    width: 350px;
    height: 450px;
  }
}
@media only screen and (min-width: 770px) {
  #services-img {
    width: 230px;
    height: 380px;
  }
}
@media only screen and (min-width: 800px) {
  #img-text1, #img-text2 {
    position: relative;
    left: 60px;
    top: -230px;
    font-size: 35px;
  }
  #img-text3 {
    position: relative;
    left: 30px;
    top: -140px;
    font-size: 35px;
  }
  #about-us-text {
    max-width: 375px;
    max-height: 580px;
    margin-left: 360px;
  }
  #diamond-image {
    width: 370px;
    height: 490px;
    margin-top: -780px;
    margin-left: -10px;
  }
  #ring-intro-img {
    width: 330px;
    height: 450px;
    margin-top: -420px;
    margin-left: 430px;
  }
  #services-img {
    width: 270px;
    height: 400px;
  }
}
@media only screen and (min-width: 1000px) {
  #img-text1, #img-text2 {
    position: relative;
    left: 30px;
    top: -240px;
    font-size: 45px;
  }
  #img-text3 {
    position: relative;
    left: 30px;
    top: -140px;
    font-size: 45px;
  }
  #about-us-text {
    max-width: 430px;
    max-height: 530px;
    margin-left: 500px;
  }
  #diamond-image {
    width: 400px;
    height: 500px;
    margin-top: -670px;
    margin-left: 100px;
  }
  #ring-intro-img {
    width: 400px;
    height: 490px;
    margin-top: -430px;
    margin-left: 520px;
  }
  #services-img {
    width: 310px;
    height: 400px;
  }
}
@media only screen and (min-width: 1200px) {
  #img-text1 {
    position: relative;
    font-size: 50px;
    top: -300px;
    left: 100px;
  }
  #img-text2 {
    position: relative;
    font-size: 55px;
    top: -280px;
    left: 100px;
  }
  #img-text3 {
    position: relative;
    font-size: 30px;
    font-size: 50px;
    top: -180px;
    left: 100px;
  }
  #about-us-text {
    max-width: 460px;
    max-height: 530px;
    margin-left: 580px;
  }
  #diamond-image {
    width: 400px;
    height: 500px;
    margin-top: -680px;
    margin-left: 180px;
  }
  #ring-intro {
    max-width: 530px;
    max-height: 500px;
    margin-left: 100px;
  }
  #ring-intro-img {
    width: 400px;
    height: 500px;
    margin-top: -430px;
    margin-left: 700px;
  }
  #services-img {
    width: 380px;
    height: 460px;
  }
}
@media only screen and (min-width: 1300px) {
  #img-text1 {
    position: relative;
    font-size: 50px;
    top: -330px;
    left: 100px;
  }
  #img-text2 {
    position: relative;
    font-size: 55px;
    top: -310px;
    left: 100px;
  }
  #img-text3 {
    position: relative;
    font-size: 30px;
    font-size: 60px;
    top: -200px;
    left: 100px;
  }
  #diamond-image {
    width: 400px;
    height: 500px;
    margin-top: -600px;
    margin-left: 300px;
  }
  #ring-intro {
    width: 530px;
    height: 500px;
    margin-left: 100px;
  }
  #ring-intro-img {
    width: 400px;
    height: 500px;
    margin-top: -460px;
    margin-left: 850px;
  }
  #about-us-text {
    width: 530px;
    height: 500px;
    margin-left: 700px;
  }
  #services-img {
    width: 410px;
    height: 520px;
  }
}
